Subject: Re: linux-next: build failure after merge of the usb and usb-gadget trees

From: Greg KH <[email-masked]>
Date: Thu, 4 Jul 2019 08:59:49 +0200

On Thu, Jul 04, 2019 at 04:34:58PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the usb tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> arm-linux-gnueabi-ld: drivers/usb/dwc3/trace.o: in function `trace_raw_output_dwc3_log_ctrl':
> trace.c:(.text+0x119c): undefined reference to `usb_decode_ctrl'
> 
> Caused by commit
> 
>   3db1b636c07e ("usb:gadget Separated decoding functions from dwc3 driver.")
> 
> I have used the usb tree from next-20190703 for today.
> 
> This also occurs in the usb-gadget tree so I have used the version of
> that from next-20190703 as well.

Odd, I thought I pulled the usb-gadget tree into mine.  Felipe, can you
take a look at this to see if I messed something up?

thanks,

greg k-h